v 14.0 Third Party 5709
Download for v 14.0 Deploy on Odoo.sh Live Preview
Required Apps Invoicing (account)
Website (website)
Lines of code 1590
Technical Name salon_management
LicenseAGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 13.0 v 9.0 v 10.0 v 11.0 v 12.0
You bought this module and need support? Click here!
Required Apps Invoicing (account)
Website (website)
Lines of code 1590
Technical Name salon_management
LicenseAGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 13.0 v 9.0 v 10.0 v 11.0 v 12.0
cybrosys-logo

Beauty Spa Management

Key Highlights

  • Online booking facility.
  • Accounting facility.
  • Customer notification via email.
  • User interactive dashboard.
  • Customer can view the available chairs and order details.
  • Different access levels for users and administrator.
  • Track the chair user by date.

Screenshots


Beauty Spa Management


Online booking facility.

Accounting facility.

Customer notification via email.

User interactive dashboard.

Customer can view the available chairs and order details.

Different access levels for users and administrator.

Track the chair user by date.

Overview


Cybrosys Techno Solution’s Spa Management System envisions in giving a complete new experience to client in availing their spa services. The Spa Management System helps the customer in processing their online booking for spa services. The module comes integrated with Odoo Accounting and Website, offering comprehensive plethora of functions.

One of the significant advantage of using the Spa Management System is that, it offers your customer their booking information via email. The client is equipped with the status of their booking, enhancing the customary experience and brand building of your business.

Suggested Products


Our Service


Odoo Customization

Odoo Implementation

Odoo Integration

Odoo Support

Hire Odoo Developers

Our Industries


Odoo Industry

Trading

Easily procure and sell your products.

Odoo Industry

Manufacturing

Plan, track and schedule your operations.

Odoo Industry

Restaurant

Run your bar or restaurant methodical.

Odoo Industry

POS

Easy configuring and convivial selling.

Odoo Industry

E-commerce & Website

Mobile friendly, awe-inspiring product pages.

Odoo Industry

Hotel Management

An all-inclusive hotel management application.

Odoo Industry

Education

A Collaborative platform for educational management.

Odoo Industry

Service Management

Keep track of services and invoice accordingly.

Need Any Help?


If you have anything to share with us based on your use of this module, please let us know. We are ready to offer our support.

Email us

odoo@cybrosys.com / info@cybrosys.com

Contact Us

www.cybrosys.com

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
There are no ratings yet!
by
Muhammad Labib
on 5/30/21, 10:01 AM

Getting this error when try to create invoice from salon orders


Odoo Server Error

Traceback (most recent call last):

  File "C:\Program Files\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "C:\Program Files\server\odoo\http.py", line 683, in dispatch

    result = self._call_function(**self.params)

  File "C:\Program Files\server\odoo\http.py", line 359, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "C:\Program Files\server\odoo\service\model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "C:\Program Files\server\odoo\http.py", line 347, in checked_call

    result = self.endpoint(*a, **kw)

  File "C:\Program Files\server\odoo\http.py", line 912, in _call_

    return self.method(*args, **kw)

  File "C:\Program Files\server\odoo\http.py", line 531, in response_wrap

    response = f(*args, **kw)

  File "C:\Program Files\server\odoo\addons\web\controllers\main.py", line 1368, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "C:\Program Files\server\odoo\addons\web\controllers\main.py", line 1356, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "C:\Program Files\server\odoo\api.py", line 396, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "C:\Program Files\server\odoo\api.py", line 383, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "C:\Program Files\server\odoo\addons\salon_management\models\salon_management.py", line 335, in salon_invoice_create

    inv = self.env['account.move'].create(invoice_line)

  File "<decorator-gen-161>", line 2, in create

  File "C:\Program Files\server\odoo\api.py", line 344, in _model_create_multi

    return create(self, [arg])

  File "C:\Program Files\server\odoo\addons\account\models\account_move.py", line 1805, in create

    vals_list = self._move_autocomplete_invoice_lines_create(vals_list)

  File "C:\Program Files\server\odoo\addons\account\models\account_move.py", line 1762, in _move_autocomplete_invoice_lines_create

    move = self_ctx.new(new_vals)

  File "C:\Program Files\server\odoo\models.py", line 5480, in new

    record._update_cache(values, validate=False)

  File "C:\Program Files\server\odoo\models.py", line 5122, in _update_cache

    raise ValueError("Invalid field %r on model %r" % (e.args[0], self._name))

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "C:\Program Files\server\odoo\http.py", line 639, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "C:\Program Files\server\odoo\http.py", line 315, in _handle_exception

    raise exception.with_traceback(None) from new_cause

ValueError: Invalid field 'l10n_in_gst_treatment' on model 'account.move'